# Clean Flash Player

[![Patreon](https://img.shields.io/badge/Kofi-donate-purple.svg)](https://ko-fi.com/disyer) [![MIT license](https://img.shields.io/badge/License-MIT-blue.svg)](https://gitlab.com/cleanflash/installer/-/blob/master/LICENSE)

![Image of Clean Flash Player](https://i.imgur.com/565LJBI.png)

[Download latest version](https://gitlab.com/cleanflash/installer/-/releases)

## What's this?

Clean Flash Player is a distribution of Adobe Flash Player, with the mission of keeping the original Flash Player alive for compatibility and ease of use.

The original Flash Player was discontinued on January 12th, 2021. Adobe is committed to keeping Flash Player alive in the Chinese region, however, by providing official monthly updates to Flash Player in China.

Clean Flash Player uses a modified version of this updated Flash Player version, keeping Flash Player clean from adware.

Google Chrome, Mozilla Firefox and Internet Explorer browser plugins are supported. Clean Flash Player ships with a standalone Flash Projector as well.

**Clean Flash is compatible and tested with Windows XP, Windows Vista, Windows 7, Windows 8.1, Windows 10 and Windows 11**. If attempting to run on Windows XP, download [.NET Framework 4.0](https://dotnet.microsoft.com/download/dotnet-framework/net40) first and optionally update to [.NET Framework 4.0.3](https://www.microsoft.com/en-us/download/details.aspx?id=29053).

## Browser compatibility

Newer versions of Google Chrome and Mozilla Firefox do not support Flash Player anymore.

To keep using Flash Player on **Google Chrome**, install an older version of Chrome. The last supported version is Chrome 87.0.4280.168.

To keep using Flash Player on **Mozilla Firefox**, install [**Waterfox Classic**](https://classic.waterfox.net), [**Pale Moon**](https://palemoon.org) or [**K-Meleon**](http://kmeleonbrowser.org/forum/read.php?19,154431). They are forks of Mozilla Firefox with built-in Flash Player support.

**Internet Explorer** still supports Flash Player on Windows 10.

<details><summary>Alternatives</summary>

- [Cent Browser 4.3.9.248](https://static.centbrowser.com/win_stable/4.3.9.248)
- [Chromium 88.0.4285.0](https://commondatastorage.googleapis.com/chromium-browser-snapshots/index.html): specify your platform and select/enter 814251
- [Basilisk](https://www.basilisk-browser.org)
- [Otter Browser](https://otter-browser.org)
- [roytam's XP-compatible browser builds](http://rtfreesoft.blogspot.com)
- [Portable old browser versions (guide)](https://www.raymond.cc/blog/how-to-enable-flash-support-in-firefox-portable)

</details> 

## Usage

- Make sure you have a compatible browser to use Flash Player with
- Download the latest version from [GitLab](https://gitlab.com/cleanflash/installer/-/releases)
- Launch installer
- Accept the disclaimer
- Choose which browser plugins to install
- Choose to install the standalone projector or not
- Choose to install the debug build or not
- Close all browser windows, or let the installer close them for you
- Press the "Install" button and wait for Flash Player to install
- Enjoy using Flash Player!

**P.S.** The Clean Flash Player installer will automatically close all browser windows when updating Flash Player. It will also uninstall all previous versions of Flash Player, as well as the adware Flash Center application. The installer will also create an uninstaller that you can use to uninstall Clean Flash at any time.
